import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/DragonEnergy/eacc955ed45af44e754d61ffe3c1209a/raw/33f71e29ea9c305baa9e7dc1a6ebf75edb5745fb/MexicoStates.json";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log('JSON Map data Loaded: ', data);
  
    useEffect(() => {
    json(jsonUrl).then(land => {
    const { mexstates } = land.objects;
		     setData({
		       mexstates: feature(land, mexstates),
		       interiors: mesh(land, mexstates, (a, b) => a !== b)
		     });
   			});
  }, []);
	 
  return data
}

